// $Id: ShowHideActionHandler.java 14034 2011-10-13 16:44:21Z mike $

package org.faceless.pdf2.viewer2.feature;

import org.faceless.pdf2.viewer2.*;
import org.faceless.pdf2.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * Handles the "ShowWidget" and "HideWidget" types of {@link PDFAction}.
 *
 * <span class="featurename">The name of this feature is <span class="featureactualname">ShowHideActionHandler</span></span>
 * <p><i>This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.</i></p>
 * @since 2.8
 */
public class ShowHideActionHandler extends ActionHandler
{
    /**
     * Return a ShowHideActionHandler
     * @deprecated since 2.11 just calls the public constructor
     */
    public static ShowHideActionHandler getInstance() {
        return new ShowHideActionHandler();
    }

    /**
     * Create a new ShowHideActionHandler
     * @since 2.11
     */
    public ShowHideActionHandler() {
        super("ShowHideActionHandler");
    }

    public boolean matches(DocumentPanel panel, PDFAction action) {
        String type = action.getType();
        return type.equals("ShowWidget") || type.equals("HideWidget");
    }

    public void run(DocumentPanel docpanel, PDFAction action) {
        WidgetAnnotation annot = action.getAnnotation();
        annot.setVisible(action.getType().equals("ShowWidget"));
    }
}
